Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000043 [cparser] warnings minor always 2009-03-08 01:28 2011-04-19 10:54
Reporter Matze View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 0.9.8
Summary 0000043: warning for function redeclared with additional attributes
Description It's a common idiom in glibc headers to redeclare functions with additional asm attribute to remap them to special implementations. An example is in firm_testsuite/C/gnu99/redirec_nowarn.c

We should not output a redundant declaration warning when a function is declared again with additional attributes.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000073)
Matze (administrator)
2009-03-08 01:30

The same happens in firm_testsuite/C/gnu99/cdecl.c when the 2nd declaration changes the calling convetion.
(0000078)
Matze (administrator)
2009-03-09 17:15

actually the warning in firm_testsuite/C/gnu99/cdecl.c should be considered correct. Both declarations end up in a cdecl declaration. So they are indeed redundant.
(0000085)
Matze (administrator)
2009-08-17 14:47

fixed in r26373

- Issue History
Date Modified Username Field Change
2009-03-08 01:28 Matze New Issue
2009-03-08 01:29 Matze Status new => confirmed
2009-03-08 01:30 Matze Note Added: 0000073
2009-03-09 17:15 Matze Note Added: 0000078
2009-08-17 14:47 Matze Note Added: 0000085
2009-08-17 14:47 Matze Assigned To => Matze
2009-08-17 14:47 Matze Status confirmed => resolved
2009-08-17 14:47 Matze Resolution open => fixed
2011-04-19 10:54 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker